--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,6 +1,8 @@
 cmake_minimum_required(VERSION 2.8)
 project(ParMETIS)
 
+include(GNUInstallDirs)
+
 set(GKLIB_PATH METIS/GKlib CACHE PATH "path to GKlib")
 set(METIS_PATH METIS CACHE PATH "path to METIS")
 
@@ -36,7 +38,6 @@
 add_subdirectory(${METIS_PATH}/libmetis ${CMAKE_BINARY_DIR}/libmetis)
 add_subdirectory(include)
 add_subdirectory(libparmetis)
-add_subdirectory(programs)
 
 # This is for testing during development and is not being distributed
 #add_subdirectory(test)
--- a/include/CMakeLists.txt
+++ b/include/CMakeLists.txt
@@ -1 +1 @@
-install(FILES parmetis.h DESTINATION include)
\ No newline at end of file
+install(FILES parmetis.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
--- a/libparmetis/CMakeLists.txt
+++ b/libparmetis/CMakeLists.txt
@@ -9,6 +9,6 @@
 set_target_properties(parmetis PROPERTIES LINK_FLAGS "${MPI_LINK_FLAGS}")
 
 install(TARGETS parmetis
-  LIBRARY DESTINATION lib
-  RUNTIME DESTINATION lib
-  ARCHIVE DESTINATION lib)
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
